#!/bin/sh
VERROOT=/var/H_Densa/GAMCHKDAEMON
CHKFILE1="/var/log/gamevlog.log"
CHKFILE2=${VERROOT}"/gamevlog.log"
PROGRAM_NAME="miacat_gamevlog_check.sh"
PID_FILE="/var/run/"${PROGRAM_NAME}".pid"

Func_gamevlog_check()
{
    # Compear File Check
    if [ ! -f ${CHKFILE2} ] ; then
        cp ${CHKFILE1} ${CHKFILE2}
    fi

    # File Size and Date
    BSZDATE=`stat -c "%s %z" ${CHKFILE1}`

    # Loop(file check)
    while true 
    do
        ASZDATE=`stat -c "%s %z" ${CHKFILE1}`
        if [ "${BSZDATE}" != "${ASZDATE}" ] ; then

            diff ${CHKFILE2} ${CHKFILE1} | grep "^>" | cut -c3- | logger  -p daemon.info -t "HWMA_GAM"

            BSZDATE=${ASZDATE}
            cp ${CHKFILE1} ${CHKFILE2}
        fi
        sleep 5
    done
}

# Base File Check
if [ ! -f ${CHKFILE1} ] ; then
    exit 1
fi
if [ ! -d ${VERROOT} ] ; then
    exit 1
fi

Func_gamevlog_check &

# Create PID FILE 
echo $! > ${PID_FILE}

